# Class ObjectActionContributorReader

java.lang.Object
org.eclipse.ui.internal.registry.RegistryReader
org.eclipse.ui.internal.ObjectActionContributorReader

public class ObjectActionContributorReader extends org.eclipse.ui.internal.registry.RegistryReader
This reader loads the popup menu manager with all the popup menu contributors found in the workbench registry.

## Constructor Summary

Constructors
Constructor
Description
`ObjectActionContributorReader()`

## Method Summary

Modifier and Type
Method
Description
`protected void`
`processObjectContribution(IConfigurationElement element)`
Creates popup menu contributor from this element.
`protected boolean`
`readElement(IConfigurationElement element)`
Implements abstract method to handle configuration elements.
`void`
`readPopupContributors(ObjectActionContributorManager mng)`
Reads the registry and registers popup menu contributors found there.
`void`
`setManager(ObjectActionContributorManager mng)`
Set the manager to read into.

### Methods inherited from class org.eclipse.ui.internal.registry.RegistryReader

`getClassValue, getDescription, logError, logMissingAttribute, logMissingElement, logUnknownElement, orderExtensions, readElementChildren, readElements, readExtension, readRegistry`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ObjectActionContributorReader

public ObjectActionContributorReader()

## Method Details

### processObjectContribution

protected void processObjectContribution(IConfigurationElement element)
Creates popup menu contributor from this element.

### readElement

protected boolean readElement(IConfigurationElement element)
Implements abstract method to handle configuration elements.

Specified by:
  `readElement` in class `org.eclipse.ui.internal.registry.RegistryReader`
Returns:
  true if element was recognized, false if not.

### readPopupContributors

public void readPopupContributors(ObjectActionContributorManager mng)
Reads the registry and registers popup menu contributors found there.

Parameters:
  `mng` - the manager to read into

### setManager

public void setManager(ObjectActionContributorManager mng)
Set the manager to read into.

Parameters:
  `mng` - the manager